Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo
Class ReasonForBuild

    java.lang.Object
      com.atlassian.bamboo.ReasonForBuild

All Implemented Interfaces:
  Serializable

    public class ReasonForBuild

extends Object
implements Serializable

This class provides a way to mark builds with the reason they have been built.

See Also:
  Serialized Form

Field Summary
`static ReasonForBuild` | `BUILD_HAS_BEEN_EDITED`
`static ReasonForBuild` | `CODE_HAS_CHANGED`
`static ReasonForBuild` | `DEPENDENCY_BUILD`
`static ReasonForBuild` | `INITIAL_CLEAN_BUILD`
`static ReasonForBuild` | `MANUAL_BUILD`
`static ReasonForBuild` | `SCHEDULED_BUILD`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object o)`
`String` | `getReason()`
`static ReasonForBuild` | `getReasonForBuild(String reason)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INITIAL_CLEAN_BUILD

    public static final ReasonForBuild INITIAL_CLEAN_BUILD

### CODE_HAS_CHANGED

    public static final ReasonForBuild CODE_HAS_CHANGED

### MANUAL_BUILD

    public static final ReasonForBuild MANUAL_BUILD

### DEPENDENCY_BUILD

    public static final ReasonForBuild DEPENDENCY_BUILD

### BUILD_HAS_BEEN_EDITED

    public static final ReasonForBuild BUILD_HAS_BEEN_EDITED

### SCHEDULED_BUILD

    public static final ReasonForBuild SCHEDULED_BUILD

Method Detail

### getReasonForBuild

    public static ReasonForBuild getReasonForBuild(String reason)

### getReason

    public String getReason()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object obj)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.